Create Brand Board
Creates a new brand board for the specified location. A brand board stores the brand identity assets including colors, fonts, and logos.
POST
/
brand-boards
Create Brand Board
curl --request POST \
--url https://services.leadconnectorhq.com/brand-boards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Main Brand Identity",
"locationId": "ve9EPM428h8vShlRW1KT",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
]
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Main Brand Identity',
locationId: 've9EPM428h8vShlRW1KT',
colors: [{name: 'Primary Blue', hex: '#1A73E8'}],
fonts: [{name: 'Inter', url: 'https://fonts.googleapis.com/css2?family=Inter'}],
logos: [
{
name: 'Primary Logo',
url: 'https://storage.example.com/logos/primary-logo.png'
}
]
})
};
fetch('https://services.leadconnectorhq.com/brand-boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/brand-boards"
payload = {
"name": "Main Brand Identity",
"locationId": "ve9EPM428h8vShlRW1KT",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
]
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"brandBoard": {
"id": "bb_abc123def456",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Main Brand Identity",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Body
application/json
Name of the brand board
Example:
"Main Brand Identity"
Location ID to associate the brand board with
Example:
"ve9EPM428h8vShlRW1KT"
Array of brand colors
Show child attributes
Show child attributes
Array of brand fonts
Show child attributes
Show child attributes
Array of brand logos
Show child attributes
Show child attributes
Response
Brand board created successfully
Show child attributes
Show child attributes
Last modified on March 7, 2026
Was this page helpful?
⌘I
Create Brand Board
curl --request POST \
--url https://services.leadconnectorhq.com/brand-boards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Main Brand Identity",
"locationId": "ve9EPM428h8vShlRW1KT",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
]
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Main Brand Identity',
locationId: 've9EPM428h8vShlRW1KT',
colors: [{name: 'Primary Blue', hex: '#1A73E8'}],
fonts: [{name: 'Inter', url: 'https://fonts.googleapis.com/css2?family=Inter'}],
logos: [
{
name: 'Primary Logo',
url: 'https://storage.example.com/logos/primary-logo.png'
}
]
})
};
fetch('https://services.leadconnectorhq.com/brand-boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/brand-boards"
payload = {
"name": "Main Brand Identity",
"locationId": "ve9EPM428h8vShlRW1KT",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
]
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"brandBoard": {
"id": "bb_abc123def456",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Main Brand Identity",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}